Summary: A wiki engine
Name: mediawiki
Version: 1.14.0
Release: 45%{?dist}
License: GPLv2+
Group: Applications/Internet
URL: http://www.mediawiki.org/
Source0: http://download.wikimedia.org/mediawiki/1.14/%{name}-%{version}.tar.gz
Patch0: mediawiki-1.14.0-commoncode.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: ocaml >= 3.06
# to make sure the "apache" group is created before mediawiki is installed
Requires(pre): httpd
Requires: php >= 5, php-xml
Requires: php-mysql, php-pgsql
Requires: diffutils, ImageMagick, php-gd
Requires: mediawiki-nomath = %{version}-%{release}
Requires: mediawiki-math = %{version}-%{release}

%description
MediaWiki is the software used for Wikipedia and the other Wikimedia
Foundation websites. Compared to other wikis, it has an excellent
range of features and support for high-traffic websites using multiple
servers

This package supports wiki farms. Copy /var/www/wiki over to the
desired wiki location and configure it through the web
interface. Remember to remove the config dir after completing the
configuration.

%package nomath
Summary: mediawiki w/o texvc.
Group: Development/Tools

%description nomath
This subpackage contains all mediawiki parts except the ones to aid in
creating inline math. This is done for minimal wiki installs that do
not require math formulae and therefore no dependencies to LaTeX are
set up.

%package math
Summary: Math support for mediawiki.
Group: Development/Tools
Requires: mediawiki = %{version}-%{release}
Requires: mediawiki-nomath = %{version}-%{release}
Requires: tetex-latex, tetex-dvips

%description math
This subpackage contains the math support for mediawiki.

%prep
%setup -q
%patch0 -p1 -b .commoncode

%build
cd math
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/mediawiki
cp -a * %{buildroot}%{_datadir}/mediawiki/

# remove undeeded parts
rm -fr %{buildroot}%{_datadir}/mediawiki/{t,test,tests}
rm -fr %{buildroot}%{_datadir}/mediawiki/includes/zhtable

## Remove any .htaccess/.cmi files that might have creeped in.
## Many directories have them there.
find %{buildroot}%{_datadir}/mediawiki/ \
  \( -name .htaccess -or -name \*.cmi \) \
  | xargs rm

# fix permissions
chmod +x %{buildroot}%{_datadir}/mediawiki/bin/*
find %{buildroot}%{_datadir}/mediawiki -name \*.pl | xargs chmod +x

# move arch dependent parts
if test ! -d %{buildroot}%{_libdir}/mediawiki/math; then
  mkdir -p %{buildroot}%{_libdir}/mediawiki
  mv %{buildroot}%{_datadir}/mediawiki/math \
     %{buildroot}%{_libdir}/mediawiki/
fi

## Find and remove subversion files
find %{buildroot} -name .svnignore | xargs rm
## Find and remove .commoncode files.
find %{buildroot} -name \*.commoncode | xargs rm

mkdir -p %{buildroot}/var/www/wiki
cd %{buildroot}/var/www/wiki/
mkdir -p images/{archive,deleted,temp,thumb}
cp -a %{buildroot}%{_datadir}/mediawiki/config .
ln -s %{_datadir}/mediawiki/index.php index.php

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING FAQ HISTORY README RELEASE-NOTES UPGRADE

%files nomath
%defattr(-,root,root,-)
%doc COPYING
%{_datadir}/mediawiki
%attr(-,apache,apache) %dir %{_datadir}/mediawiki/config
%{_datadir}/mediawiki/config/*
/var/www/wiki
%attr(-,apache,apache) %dir /var/www/wiki/config
/var/www/wiki/config/*

%files math
%defattr(-,root,root,-)
%{_libdir}/mediawiki


%changelog
* Tue Mar 10 2009  <smooge@gmail.com> - 1.14.0-45
- Merged with F-10's 1.14.0


* Sat Feb 28 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.14.0-45
- Update to 1.14.0.

* Sun Feb 22 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.4-44
- Split package up, so some users can decide to not install math
  support (results in smaller installs), see RH bug #485447.

* Wed Feb 18 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.4-43
- Update to 1.13.4, closes RH bug #485728.

* Tue Dec 23 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.3-42
- Update to 1.13.3, closes RH bug #476621 (CVE-2008-5249,
  CVE-2008-5250, CVE-2008-5252 and CVE-2008-5687, CVE-2008-5688)

* Sun Oct  5 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.2-41
- Update to 1.13.2.

* Sun Aug 24 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.0-40
- Use consistently Patch0 and %%patch0.

* Sat Aug 16 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.0-39
- Update to 1.13.0.

* Wed May 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.10.4-40
- fix license tag

* Fri May 16 2008 Stephen John Smoogen <smooge@canopus.unm.edu> - 1.12.0-1
- Began testing. {remove commoncode entry.}

* Mon Mar 24 2008 Stephen John Smoogen <smooge@canopus.unm.edu> - 1.10.4-39
- Merge spec files from EL-5 and F-8 to keep history of package

* Tue Mar 04 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.10.4-38
- Update to 1.10.4.

* Tue Feb 17 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.10.3-37
- Update to 1.10.3.
- Fixes CVE-2008-0460 (bug #430286).

* Wed Sep 12 2007 Ville Skyttä <ville.skytta at iki.fi> - 1.10.2-36
- Update to 1.10.2 (security; http://secunia.com/advisories/26772/, #287881)

* Wed May 09 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.10.0-35
- Update to 1.10.0.

* Thu Feb 22 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.3-34
- Update to 1.9.4.

* Thu Feb 22 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.4-8
- Update to 1.8.4.

* Mon Feb 05 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.2-33
- Update to 1.9.2.

* Fri Feb 02 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.1-32
- Fix permissions.
- Remove some parts not needed at runtime anymore.

* Thu Feb 01 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.1-31
- Update to 1.9.1.

* Tue Jan 09 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.3-7
- Update to 1.8.3.
- Update fixes an XSS injection vulnerability in the AJAX module.

* Thu Nov 23 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.2-6
- Crude all-in-opt-out file inclusion policy for now to quick-fix some
  open bugs.

* Thu Nov 2 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.2-5
- Fix depenencies, add versions.
- Add missing *.php files.
- Cosmetic changes.

* Sat Oct 14 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.2-4
- Update to 1.8.2.

* Wed Oct 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.1-3
- Update to 1.8.1.

* Wed Oct 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.0-2
- Update to 1.8.0.
- And php-gd, diffutils, ImageMagick as dependencies

* Mon Jul 10 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.7.1.

* Wed Jun 07 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.7.

* Fri May 26 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.6.

* Thu Apr 13 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.3.

* Sat Apr  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.2.

* Fri Apr  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.1.

* Mon Apr 03 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.8-1
- Update to upstream 1.5.8 (contains security fixes)

* Thu Mar 02 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.7-1
- Update to upstream 1.5.7

* Mon Feb 13 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-6
- Rebuild for Fedora Extras 5

* Mon Feb 06 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-5
- Put internal doc files in the right directory, renaming it
 back to docs (#180177)

* Sat Feb 04 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-4
- Use Requires(pre) instead of PreReq (Mike McGrath)

* Thu Feb 02 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-3
- Refactor the %%files section (Mike McGrath)
- Replace "/etc" with macro
- Package docs under %%{_defaultdocdir}/internals
- Minor change in description

* Tue Jan 31 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-2
- Add %%defattr for -math subpackage
- Fixed typo in description

* Tue Jan 31 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.6-1
- Update to upstream 1.5.6

* Thu Jan 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.6.

* Sun Jan 15 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.5-3
- Add PreReq for httpd, since we use the apache user
- Make mediawiki-math dependencies more specific
- Package documentation for mediawiki-math

* Sat Jan 14 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.5-2
- Separate math support into a subpackage

* Thu Jan 12 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 1.5.5-1
- Initial packaging

* Sun Dec 04 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.3.

* Fri Nov 04 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.2.

* Mon Oct 31 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.1.

* Thu Oct 06 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.0.

* Fri Sep 02 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5rc4.

* Sun Jul 31 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5beta4.

* Fri Jul 08 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5beta3.

* Tue Jul 05 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5beta2.

* Sun Jul 03 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

